# pylint:disable-all

"""Library add source column

Revision ID: af4aee93da0c
Revises: 3f8c235fe56b
Create Date: 2024-03-23 17:48:20.770137

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "af4aee93da0c"
down_revision = "3f8c235fe56b"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("library", schema=None) as batch_op:
        batch_op.add_column(sa.Column("source", sa.String(length=300), nullable=True))

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("library", schema=None) as batch_op:
        batch_op.drop_column("source")

    # ### end Alembic commands ###
